<!doctype html>
<html lang="en">

<head>
  <title>Number to Words</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS v5.2.1 -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">

</head>

<body>
  <div class="container-fluid d-flex justify-content-center flex-column col-lg-5 col-md-8 col-sm-12 mt-5">
    <h5 class="m-2">Enter amount:</h5>
    <input type="text" id="input" class="m-2">
    <button class="btn btn-danger m-2 col-lg-5" onclick="display();";>Convert to words</button>
    <span id="output" class="container-lg p-2 m-2 border border-opacity-100 border-1 border-dark w-auto"></span>
  </div>

  <script type="text/javascript">

    function numToWords(num){
      const ones = ['zero', 'one', 'two', 'three', 'four', 'five', 'six', 'seven', 'eight', 'nine'];
      const tens = ["", "", "twenty", "thirty", "forty", "fifty", "sixty", "seventy", "eighty", "ninety"];
      const teens = ["ten", "eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen"];
      
      if (num < 10) return ones[num];
      if (num < 20) return teens[num - 10];
      if (num < 100) return tens[Math.floor(num / 10)] + " " + ones[num % 10];
      if (num < 1000) return ones[Math.floor(num / 100)] + " hundred " + numToWords(num % 100);
      if (num < 1000000) return numToWords(Math.floor(num / 1000)) + " thousand " + numToWords(num % 1000);
      if (num < 1000000000) return numToWords(Math.floor(num / 1000000)) + " million " + numToWords(num % 1000000);
      return numToWords(Math.floor(num / 1000000000)) + " billion " + numToWords(num % 1000000000);

      console.log(numToWords(123));

    }

    function display(){
      const num = Number(document.getElementById("input").value);
      const output = numToWords(num)
      document.getElementById('output').innerHTML = output;
    }
  </script>
  <!-- Bootstrap JavaScript Libraries -->
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
    integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous">
  </script>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.min.js"
    integrity="sha384-7VPbUDkoPSGFnVtYi0QogXtr74QeVeeIs99Qfg5YCF+TidwNdjvaKZX19NZ/e6oz" crossorigin="anonymous">
  </script>
</body>

</html>